| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GenericDestination Class Reference
Destination and Route

Generic Destination. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | Name
| Symbolic name of the destination. More...
enum unsp__SignalingType | Signaling
| Indicates the type of destination signaling. More...
enum unsp__BearerCaps | Bearer
| Assigned bearer capability of the route. More...
enum unsp__DestinationAttributes | DestinationAttributes
| Destination attributes. More...
enum unsp__Attributes | Attributes
| Attributes. More...
xsd__string | NumberPlanName
| Name of the Number plan of the destination. More...
enum unsp__Attributes | PrefixAreaCode
| Prefix Area Code. More...
enum unsp__Attributes | PrefixCountryCode
| Prefix Country Code. More...
enum unsp__Attributes | ReRoute
| ReRoute. More...
enum unsp__Attributes * | ReRouteWModifiedNumber
| ReRouteWModifiedNumber. More...
xsd__boolean * | IsSystemDefault
| Indicates whether this object is a system default. More...

## Detailed Description

Generic Destination.

## Member Data Documentation

## ◆ Attributes

enum unsp__Attributes unsp__GenericDestination::Attributes

Attributes.

default value[range]: NA

## ◆ Bearer

enum unsp__BearerCaps unsp__GenericDestination::Bearer

Assigned bearer capability of the route.

default value[range]: NA

## ◆ DestinationAttributes

enum unsp__DestinationAttributes unsp__GenericDestination::DestinationAttributes

Destination attributes.

default value[range]: NA

## ◆ IsSystemDefault

xsd__boolean* unsp__GenericDestination::IsSystemDefault

Indicates whether this object is a system default.

System default Destinations cannot be deleted and their Name cannot be changed.

## ◆ Name

xsd__string unsp__GenericDestination::Name

Symbolic name of the destination.

See also
  unsp__DestName

## ◆ NumberPlanName

xsd__string unsp__GenericDestination::NumberPlanName

Name of the Number plan of the destination.

See also
  unsp__NumberPlanName

## ◆ PrefixAreaCode

enum unsp__Attributes unsp__GenericDestination::PrefixAreaCode

Prefix Area Code.

default value[range]: NA

## ◆ PrefixCountryCode

enum unsp__Attributes unsp__GenericDestination::PrefixCountryCode

Prefix Country Code.

default value[range]: NA

## ◆ ReRoute

enum unsp__Attributes unsp__GenericDestination::ReRoute

ReRoute.

default value[range]: NA

## ◆ ReRouteWModifiedNumber

enum unsp__Attributes* unsp__GenericDestination::ReRouteWModifiedNumber

ReRouteWModifiedNumber.

required: false
default value[range]: NA

## ◆ Signaling

enum unsp__SignalingType unsp__GenericDestination::Signaling

Indicates the type of destination signaling.

default value[range]: NA

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h